# station_sl.cpp File Reference

Code handling saving and loading of economy data. More...

`#include "../stdafx.h"`
`#include "../station_base.h"`
`#include "../core/bitmath_func.hpp"`
`#include "../core/alloc_func.hpp"`
`#include "../variables.h"`
`#include "../newgrf_station.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
void | AfterLoadStations ()
void | SaveLoad_STNS (Station *st)
static void | Save_STNS ()
static void | Load_STNS ()
static void | Save_ROADSTOP ()
static void | Load_ROADSTOP ()
## Variables
static const SaveLoad | _roadstop_desc []
static const SaveLoad | _station_desc []
static uint16 | _waiting_acceptance
static uint16 | _cargo_source
static uint32 | _cargo_source_xy
static uint16 | _cargo_days
static Money | _cargo_feeder_share
static const SaveLoad | _station_speclist_desc []
const ChunkHandler | _station_chunk_handlers []

## Detailed Description

Code handling saving and loading of economy data.

Definition in file station_sl.cpp.

## Variable Documentation

const SaveLoad _roadstop_desc[]`[static]`

Initial value:

     {
      SLE_VAR(RoadStop, xy,           SLE_UINT32),
      SLE_CONDNULL(1, 0, 44),
      SLE_VAR(RoadStop, status,       SLE_UINT8),

      SLE_CONDNULL(4, 0, 8),
      SLE_CONDNULL(2, 0, 44),
      SLE_CONDNULL(1, 0, 25),

      SLE_REF(RoadStop, next,         REF_ROADSTOPS),
      SLE_CONDNULL(2, 0, 44),

      SLE_CONDNULL(4, 0, 24),
      SLE_CONDNULL(1, 25, 25),

    }

Definition at line 32 of file station_sl.cpp.

const ChunkHandler _station_chunk_handlers[]

Initial value:

     {
      { 'STNS', Save_STNS,      Load_STNS,      CH_ARRAY },
      { 'ROAD', Save_ROADSTOP,  Load_ROADSTOP,  CH_ARRAY | CH_LAST},
    }

const SaveLoad _station_speclist_desc[]`[static]`

Initial value:

     {
      SLE_CONDVAR(StationSpecList, grfid,    SLE_UINT32, 27, SL_MAX_VERSION),
      SLE_CONDVAR(StationSpecList, localidx, SLE_UINT8,  27, SL_MAX_VERSION),

    }

Definition at line 114 of file station_sl.cpp.